# 项目相关配置
simba:
  # 名称
  name: Simba-WCS
  # 版本
  version: 1.1.0
  # 版权年份
  copyrightYear: 2022
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/simba/uploadPath，Linux配置 /home/simba/uploadPath）
  profile: D:/test/Local/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 17689
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 5
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 2

# 日志配置
logging:
  config: classpath:logback-dev.xml
  level:
    com.simba.wms: debug
    com.simba.wcs.wcs: debug
    org.springframework: warn

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid,client
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 1
    # 密码
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 2
        # 连接池的最大数据库连接数
        max-active: 4
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 64000

#okhttp
okhttp:
  connect-timeout: 5
  read-timeout: 5
  write-timeout: 5
  # 连接池中整体的空闲连接的最大数量
  max-idle-connections: 200
  # 连接空闲时间最多为 300 秒
  keep-alive-duration: 200


#mybatis
mybatis-plus:
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.simba.moiiom.**.domain
  global-config:
    #数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID", ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: AUTO
      logic-delete-value: -1
      logic-not-delete-value: 0
    banner: false
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    # 可以打印SQL by whhsn
    #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
    # 禁止打印SQL by whhsn
    # log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl


wms:
  wms_address: 'http://127.0.0.1:18088'
#  wms_address: 'http://192.168.88.108:18081'
  wms_line_scan_info: '/xh/wcs/scanInto'
  wms_line_station_unlock: '/xh/wcs/station/unLock'
  wms_line_station_in: '/xh/wcs/preCheck'
  wms_line_station_out: '/xh/wcs/preCheck'
  wms_line_error_record: '/xh/wcs/error/record'

framework:
  net_client:
    io_pool: 2
    event_pool: 2

  modbus_client:
    io_pool: 2
    event_pool: 2

  net_server:
    io_pool: 2
    event_pool: 2
    port: 7682
    address: 0.0.0.0


  frame_server:
    decoder:
      decoder_pool_size: 20
      decoder_pool_name: decoder-task-executor

  tick_params:
    tick_pool_size: 2
    delay_pool_size: 2

  normal_tick:
    interval: 1000

  quick_tick:
    interval: 100

#medicine:
#  robot:
#    test_mode: true
#    slot_len: 550
#    max_load_num: 4
#    max_fetch_num: 3
#    allow_load_interval: 1000

cmd:
  alias_prefix: simba-mysql-
  database_address: 127.0.0.1
  database_host: 127.0.0.1:3306
  database_port: 3306
  database_user: root
  database_password: Simba.123456
  database_name: simba-auto-database

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
